zabbix_export:
  version: '7.0'
  host_groups:
    - uuid: c72a447e08ee4e50bac5ebde3fefda13
      name: test-ZBX-25156
  hosts:
    - host: test
      name: test
      groups:
        - name: test-ZBX-25156
      interfaces:
        - interface_ref: if1
        - type: SNMP
          port: '161'
          details:
            community: '{$SNMP_COMMUNITY}'
          interface_ref: if2
        - type: IPMI
          port: '623'
          interface_ref: if3
        - type: JMX
          port: '12345'
          interface_ref: if4
      items:
        - name: '{{$PROBLEM}.regsub("(.*)_([0-9]+)", \1)}'
          type: SCRIPT
          key: script.data.collector
          delay: 1s
          value_type: TEXT
          trends: '0'
          params: |
            var obj = JSON.parse(value);
            var url = obj.url;
            var trbl = obj.trbl;
            return trbl + " on " + url + " page";
          parameters:
            - name: trbl
              value: '{{$PROBLEM}.regsub("(.*)_([0-9]+)", \1)}'
            - name: url
              value: '{$URL}'
      macros:
        - macro: '{$PROBLEM}'
          value: customername_1
        - macro: '{$URL}'
          value: zabbix.com
